Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezuser/user/norights.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: norights.php 9518 2002-05-08 11:51:36Z vl $
5 //
6 // Created on: <26-Oct-2000 14:56:23 ce>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "classes/INIFile.php" );
28 // include_once( "classes/eztexttool.php" );
29
30 $ini =& eZINI::instance( 'site.ini' );
31 $DOC_ROOT = $ini->variable( "eZUserMain", "DocumentRoot" );
32 $Language = $ini->variable( "eZUserMain", "Language" );
33 $errorIni = new eZINI( "kernel/ezuser/user/intl/" . $Language . "/norights.php.ini", false );
34
35 // include_once( "classes/ezdb.php" );
36 // include_once( "classes/eztemplate.php" );
37
38 $t = new eZTemplate( "kernel/ezuser/user/" . $ini->variable( "eZUserMain", "TemplateDir" ),
39 "kernel/ezuser/user/" . "/intl", $Language, "norights.php" );
40 $t->setAllStrings();
41
42 switch ( $_REQUEST['Error'] )
43 {
44 case "WrongPassword":
45 {
46 $errorMsg = $errorIni->variable( "strings", "wrong_password" );
47 }
48 break;
49
50 case "MaxLogins":
51 {
52 $errorMsg = $errorIni->variable( "strings", "max_logins" );
53 }
54 break;
55
56 default:
57 {
58 $errorMsg = $errorIni->variable( "strings", "default_error" );
59 }
60 break;
61 }
62
63 $t->set_var( "redirect_url", '');
64 if (isset($RedirectURL))
65 {
66 $t->set_var( "redirect_url", eZTextTool::htmlspecialchars( $RedirectURL ) );
67 }
68 $t->set_var( "error_msg", $errorMsg );
69 $t->set_file( array( "norights" => "norights.tpl" ) );
70
71 $t->pparse( "output", "norights" );
72
73 ?>
eZINI
Reads and writes .ini style configuration files.
eZTemplate
Definition: eztemplate.php:107
eZTextTool\htmlspecialchars
static htmlspecialchars( $string)
Definition: eztexttool.php:144
$RedirectURL
$RedirectURL
Definition: ezforum/user/userlogin.php:91
$DOC_ROOT
$DOC_ROOT
Definition: ezuser/user/norights.php:31
$t
$t
Definition: ezuser/user/norights.php:38
$errorIni
$errorIni
Definition: ezuser/user/norights.php:33
$Language
$Language
Definition: ezuser/user/norights.php:32
$ini
$ini
Definition: ezuser/user/norights.php:30
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.